summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJaromil <jaromil@dyne.org>2014-07-16 13:22:47 (GMT)
committer Jaromil <jaromil@dyne.org>2014-07-16 13:26:52 (GMT)
commitf62e57ac39b0d44c6fe4637e0e0896c4ad1dfc79 (patch)
tree631032eb8dfd08e57c64ef6bafd556e002ff501b
parent6655f948ffebdece9822c4b6b84764ecb502e9ab (diff)
compiled curl with openssl and ndk (still git does not builds with it)
-rw-r--r--build/network/Sources2
-rw-r--r--build/network/conf.zsh29
-rw-r--r--build/system/conf.zsh5
3 files changed, 32 insertions, 4 deletions
diff --git a/build/network/Sources b/build/network/Sources
index c3ea7bb..b355683 100644
--- a/build/network/Sources
+++ b/build/network/Sources
@@ -1,6 +1,8 @@
# ZShaoling packages file
+zlib -1.2.5 .tar.gz http://www.gnu.org
openssl-static -0.9.9 .tar.gz
+curl -7.37.0 .tar.gz http://curl.haxx.se
android-openssh -6.1 .tar.gz
rsync -3.1.0 .tar.gz http://rsync.samba.org
git -1.8.4.3 .tar.gz http://git-scm.com
diff --git a/build/network/conf.zsh b/build/network/conf.zsh
index e307333..732dda2 100644
--- a/build/network/conf.zsh
+++ b/build/network/conf.zsh
@@ -8,11 +8,30 @@ rm -f $LOGS; touch $LOGS
prepare_sources
+## zlib
+compile zlib "--prefix=$PREFIX --static"
+#zinstall zlib
+{ test -r zlib.installed } || {
+act "Installing ZLib"
+mkdir -p $PREFIX/lib $PREFIX/include
+cp zlib/libz.a $PREFIX/lib/
+cp zlib/zlib.h zlib/zconf.h $PREFIX/include
+touch zlib.installed
+}
+
+
# make openssl static libraries
zndk-build openssl-static
rsync openssl-static/obj/local/armeabi/*.a $PREFIX/lib/
rsync -r openssl-static/include/openssl $PREFIX/include
+# make curl with ssl
+{ test -r curl.done } || {
+ cp curl_setup.h curl/lib/
+ LIBS="$LIBS -ldl -lssl -lcrypto" compile curl default "--with-ssl=$PREFIX --disable-shared --enable-static"
+}
+zinstall curl
+
# make openssh
{ test -r android-openssh.done } || {
cp openssh-config.h android-openssh/jni/config.h
@@ -42,15 +61,17 @@ zinstall rsync
# make git
notice "Building git"
GIT_FLAGS=(prefix=${APKPATH}/files/system NO_INSTALL_HARDLINKS=1 NO_NSEC=1 NO_ICONV=1)
+GIT_FLAGS+=(CURLDIR=$PREFIX OPENSSLDIR=$PREFIX)
GIT_FLAGS+=(NO_PERL=1 NO_PYTHON=1)
{ test -r git.done } || {
pushd git
autoconf
-zconfigure default "--without-iconv --with-openssl"
+LIBS="$LIBS -lz -ldl -lssl -lcurl -lcrypto" \
+ zconfigure default "--without-iconv --with-openssl=$PREFIX --with-curl=$PREFIX"
{ test $? = 0 } && {
- make git ${GIT_FLAGS}
+ LIBS="$LIBS" make git ${GIT_FLAGS}
pushd templates
- make install ${GIT_FLAGS}
+ LIBS="$LIBS" make install ${GIT_FLAGS}
popd
# make man prefix=${APKPATH}/files/system
touch ../git.done
@@ -60,7 +81,7 @@ popd
{ test -r git.installed } || {
pushd git
-make install ${GIT_FLAGS}
+LIBS="$LIBS" make install ${GIT_FLAGS}
{ test $? = 0 } && { touch ../git.installed }
#make install-man prefix=${APKPATH}/files/system NO_INSTALL_HARDLINKS=1
diff --git a/build/system/conf.zsh b/build/system/conf.zsh
index f0ea811..2518034 100644
--- a/build/system/conf.zsh
+++ b/build/system/conf.zsh
@@ -107,6 +107,11 @@ compile wipe default
act "Wipe installed."
}
+return
+
+
+###################
+# experiments below
## libevent
compile libevent default